
QGIS Application - Bug report #17668

QGIS Server lost the ability to respond to GetMap requests for Groups

2017-12-11 06:57 AM - Tudor Bărăscu

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25565

Description

If you have a group (let's say countriesgroup) in your project file, it is advertised as a layer in the WMS GetCapabilities but it cannot be

accessed with GetMap or GetPrint anymore.

<ServiceExceptionReport version="1.3.0"><ServiceException code="LayerNotDefined">Layer "countriesgroup" does not

exist</ServiceException></ServiceExceptionReport>

This is a regression as it worked on 2.x versions.

Steps to reproduce:

- Create a group in your project file

- Try and access that group with a GetMap request

Associated revisions

Revision ac27347a - 2018-01-17 10:51 AM - Pierre-Eric Pelloux-Prayer

[server] Fix layers group handling

Load layers groups from project file to be able to use them in queries.

Fixes #17668

History

#1 - 2017-12-11 10:58 AM - Alessandro Pasotti

Can you please attach a test project?

#2 - 2017-12-11 12:23 PM - Tudor Bărăscu

- File bug_project.zip added

Sure! I can replicate under several projects I've tested, under different machines.

So I'm assuming every project that has a group exhibits the same issue.

Thanks for looking into it.
#3 - 2017-12-15 05:03 PM - Paul Blottiere

- Assignee set to Paul Blottiere

#4 - 2018-01-18 11:23 AM - Pierre-Eric Pelloux-Prayer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|ac27347a9ea7dc176cd47231be119648c1b11ce7.

#5 - 2018-02-22 09:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

bug_project.zip 3.95 MB 2017-12-11 Tudor Bărăscu
